<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateForeignKeys extends Migration {

	public function up()
	{
		Schema::table('marketing_mains', function(Blueprint $table) {
			$table->foreign('marketing_category_id')->references('id')->on('marketing_categories')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('marketing_mains', function(Blueprint $table) {
			$table->foreign('marketing_type_id')->references('id')->on('marketing_types')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('marketing_affilates', function(Blueprint $table) {
			$table->foreign('affilate_id')->references('id')->on('marketing_categories')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('marketing_affilates', function(Blueprint $table) {
			$table->foreign('marketing_id')->references('id')->on('marketing_mains')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('marketing_socials', function(Blueprint $table) {
			$table->foreign('marketing_id')->references('id')->on('marketing_mains')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('marketing_socials', function(Blueprint $table) {
			$table->foreign('social_id')->references('id')->on('marketing_socials')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('marketing_socials', function(Blueprint $table) {
			$table->foreign('marketer_id')->references('id')->on('marketing_categories')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('marketing_inner', function(Blueprint $table) {
			$table->foreign('employee_id')->references('id')->on('marketing_categories')
						->onDelete('set null')
						->onUpdate('set null');
		});
		Schema::table('marketing_inner', function(Blueprint $table) {
			$table->foreign('marketing_id')->references('id')->on('marketing_mains')
						->onDelete('set null')
						->onUpdate('set null');
		});
	}

	public function down()
	{
		Schema::table('marketing_mains', function(Blueprint $table) {
			$table->dropForeign('marketing_mains_marketing_category_id_foreign');
		});
		Schema::table('marketing_mains', function(Blueprint $table) {
			$table->dropForeign('marketing_mains_marketing_type_id_foreign');
		});
		Schema::table('marketing_affilates', function(Blueprint $table) {
			$table->dropForeign('marketing_affilates_affilate_id_foreign');
		});
		Schema::table('marketing_affilates', function(Blueprint $table) {
			$table->dropForeign('marketing_affilates_marketing_id_foreign');
		});
		Schema::table('marketing_socials', function(Blueprint $table) {
			$table->dropForeign('marketing_socials_marketing_id_foreign');
		});
		Schema::table('marketing_socials', function(Blueprint $table) {
			$table->dropForeign('marketing_socials_social_id_foreign');
		});
		Schema::table('marketing_socials', function(Blueprint $table) {
			$table->dropForeign('marketing_socials_marketer_id_foreign');
		});
		Schema::table('marketing_inner', function(Blueprint $table) {
			$table->dropForeign('marketing_inner_employee_id_foreign');
		});
		Schema::table('marketing_inner', function(Blueprint $table) {
			$table->dropForeign('marketing_inner_marketing_id_foreign');
		});
	}
}